Skip to Content
Connector

List Connectors

Accès

Membre de l’organisation avec au moins une de ces autorisations :

  • connector:sync
  • printing:read

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

GET
/orgs/{organizationId}/connectors

Returns the organization's connectors (edge devices), oldest first, with their last heartbeat and label-printer availability. Used by the app to detect a live connector and whether label printing is possible.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Response Body

OK

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.tillor.eu/orgs//connectors'
Example Response
[  {    "id": "string",    "lastHeartbeatAt": "2019-08-24T14:15:22Z",    "lanIngressAvailable": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]